package cn.axzo.workflow.core.common.code;

import cn.axzo.framework.domain.web.code.IModuleRespCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 流程模型响应码
 *
 * @author wangli
 * @since 2023/12/14 16:25
 */
@Getter
@AllArgsConstructor
public enum BpmnModelRespCode implements IModuleRespCode {
    MODEL_KEY_EXISTS("001", "已经存在流程标识为【{}】的流程"),
    MODEL_ID_NOT_EXISTS("002", "流程模型ID【{}】不存在"),
    MODEL_KEY_NOT_EXISTS("003", "流程模型KEY【{}】不存在"),
    MODEL_NOT_EXISTS("004", "流程模型不存在"),
    BPMN_BYTES_NOT_EXISTS("005", "模型定义内容字节码不存在"),
    ;

    private String code;
    private String message;

    @Override
    public String getModuleCode() {
        return "03";
    }

    @Override
    public String getProjectCode() {
        return "998";
    }

    public void setCode(String code) {
        this.code = code;
    }


    public void setMessage(String message) {
        this.message = message;
    }

}
